Package org.eclipse.emf.compare.rcp.ui.internal.configuration.impl

# Class AdapterFactoryChange

java.lang.Object
org.eclipse.emf.compare.rcp.ui.internal.configuration.impl.CompareEvent<AdapterFactory>
org.eclipse.emf.compare.rcp.ui.internal.configuration.impl.AdapterFactoryChange

All Implemented Interfaces:
  `ICompareEvent`, `IAdapterFactoryChange`

public class AdapterFactoryChange extends CompareEvent<AdapterFactory> implements IAdapterFactoryChange

## Constructor Summary

Constructors
Constructor
Description
`AdapterFactoryChange(AdapterFactory oldValue, AdapterFactory newValue)`

## Method Summary

### Methods inherited from class org.eclipse.emf.compare.rcp.ui.internal.configuration.impl.CompareEvent

`getNewValue, getOldValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.compare.rcp.ui.internal.configuration.IAdapterFactoryChange

`getNewValue, getOldValue`

## Constructor Details

### AdapterFactoryChange

public AdapterFactoryChange(AdapterFactory oldValue, AdapterFactory newValue)